import turtle
from math import pi, sin, cos

def dt(size, level):
    if level > 0:
        dl = int(size/3.0)
        dt(dl, level - 1)
        turtle.left(60)
        dt(dl, level - 1)
        turtle.right(120)        
        dt(dl, level - 1)
        turtle.left(60)
        dt(dl, level - 1 )
    else:
        turtle.fd(size)
        
def draw_koch(size, level):
    turtle.reset()
    turtle.penup()
    turtle.goto(-int(size/2.0),+int(size/3.3))
    turtle.pendown()
    dt(size, level)
    turtle.right(120)
    dt(size, level)
    turtle.right(120)
    dt(size, level)

draw_koch( 200, 4 )